SR create error

mail@pastecode.io avatar
unknown
plain_text
2 years ago
4.6 kB
10
Indexable
Never
RPC_ERROR
Odoo Server Error
Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/api.py", line 886, in get
    return field_cache[record._ids[0]]
KeyError: <NewId 0x7f4817b846d0>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/fields.py", line 1057, in __get__
    value = env.cache.get(record, self)
  File "/opt/odoo/odoo/odoo/api.py", line 889, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'vehicle.services(<NewId 0x7f4817b846d0>,).selectable_route_type_ids'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo/odoo/http.py", line 687, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 348, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 916, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1343, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1335, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 464, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 451, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/models.py", line 6489, in onchange
    snapshot1 = Snapshot(record, nametree)
  File "/opt/odoo/odoo/odoo/models.py", line 6271, in __init__
    self.fetch(name)
  File "/opt/odoo/odoo/odoo/models.py", line 6279, in fetch
    self[name] = [Snapshot(line, tree[name]) for line in record[name]]
  File "/opt/odoo/odoo/odoo/models.py", line 5888, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "/opt/odoo/odoo/odoo/fields.py", line 3389, in __get__
    return super().__get__(records, owner)
  File "/opt/odoo/odoo/odoo/fields.py", line 2603, in __get__
    return super().__get__(records, owner)
  File "/opt/odoo/odoo/odoo/fields.py", line 1106, in __get__
    self.compute_value(recs)
  File "/opt/odoo/odoo/odoo/fields.py", line 1265, in compute_value
    records._compute_field_value(self)
  File "/opt/odoo/odoo/addons/mail/models/mail_thread.py", line 411, in _compute_field_value
    return super()._compute_field_value(field)
  File "/opt/odoo/odoo/odoo/models.py", line 4255, in _compute_field_value
    getattr(self, field.compute)()
  File "/opt/odoo/customized_addons/fleet_kanban_services_zipline/models/vehicle_services.py", line 78, in _compute_selectable_route_type_ids
    ('warehouse_ids', '=', record.vehicle_id.warehouse_id.id)
  File "/opt/odoo/odoo/odoo/models.py", line 1810, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/customized_addons/fleet_kanban_services_zipline/models/fleet_service_routes.py", line 353, in _search
    return super(FleetServiceRoutes, self)._search(args, offset, limit, order, count=count, access_rights_uid=access_rights_uid)
  File "/opt/odoo/odoo/odoo/models.py", line 4700, in _search
    query = self._where_calc(args)
  File "/opt/odoo/customized_addons/multi_search_with_comma/models/multi_search.py", line 42, in _where_calc
    return expression.expression(modified_domain, self).query
  File "/opt/odoo/odoo/odoo/osv/expression.py", line 442, in __init__
    self.parse()
  File "/opt/odoo/odoo/odoo/osv/expression.py", line 654, in parse
    raise ValueError("Invalid field %s.%s in leaf %s" % (model._name, path[0], str(leaf)))
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 643, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
ValueError: Invalid field fleet.service.routes.warehouse_ids in leaf ('warehouse_ids', '=', 28)